<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dp_10"
        android:background="@drawable/shape_white_eight_corners_bg"
        android:elevation="@dimen/dp_2"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_marginLeft="@dimen/dp_8"
            android:layout_marginRight="@dimen/dp_8"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_warehouse_supplier_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_17"
                android:textStyle="bold"
                tools:text="供應商名稱" />

            <ImageView
                android:id="@+id/iv_supplier_edit"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:padding="@dimen/dp_10"
                android:src="@drawable/ic_blue_edit"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/iv_warehouse_delete"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:padding="@dimen/dp_10"
                android:src="@drawable/ic_red_delete" />

        </LinearLayout>

        <include layout="@layout/include_horizontal_color_eee_dividing_line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_8"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="入庫單號：" />

                    <TextView
                        android:id="@+id/tv_warehouse_no"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="21343545221" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:layout_weight="1" />

                    <TextView
                        android:id="@+id/tv_warehouse_create_time"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="2020-12-06 12:06" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="訂單編號：" />

                    <TextView
                        android:id="@+id/tv_warehouse_order_no"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        tools:text="4545412" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="商品數量：" />

                    <TextView
                        android:id="@+id/tv_warehouse_goods_num"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:singleLine="true"
                        tools:text="10" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="訂單食材：" />

                    <TextView
                        android:id="@+id/tv_warehouse_goods"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:singleLine="true"
                        tools:text="巴西肥牛、澳洲牛排..." />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="總價："
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_16"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tv_warehouse_total_price"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textColor="@color/purchase_total_price_text_color"
                        android:textSize="@dimen/dp_16"
                        android:textStyle="bold"
                        tools:text="$100.00" />

                    <TextView
                        android:id="@+id/tv_purchase_order_time_out"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/purchase_total_price_text_color"
                        android:textSize="@dimen/dp_12"
                        tools:text="距離下單已超時30分鐘" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_10"
            android:gravity="right"
            android:orientation="horizontal">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_purchase_send"
                android:layout_width="@dimen/dp_76"
                android:visibility="gone"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_app_btn"
                android:gravity="center"
                android:paddingTop="@dimen/dp_8"
                android:paddingBottom="@dimen/dp_8"
                android:text="發送"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_12" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_purchase_buy_again"
                android:layout_width="@dimen/dp_76"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:background="@drawable/shape_bug_again_btn"
                android:gravity="center"
                android:paddingTop="@dimen/dp_8"
                android:paddingBottom="@dimen/dp_8"
                android:text="再次購買"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_12"
                android:visibility="gone" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_warehouse_order_state"
                android:layout_width="@dimen/dp_76"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:background="@drawable/shape_to_be_received_btn"
                android:gravity="center"
                android:paddingTop="@dimen/dp_8"
                android:paddingBottom="@dimen/dp_8"
                android:text="待收貨"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_12" />
        </LinearLayout>
    </LinearLayout>


</FrameLayout>